## picom 8

=== debian/changelog ===
picom (8-1) unstable; urgency=medium

  * Initial release (Closes: #961432)

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Sat, 30 May 2020 11:54:54 +0200

## picom 8.2

=== meson_options.txt ===
option('sanitize', type: 'boolean', value: false, description: 'Build with sanitizers enabled (deprecated)')
option('config_file', type: 'boolean', value: true, description: 'Enable config file support')
option('regex', type: 'boolean', value: true, description: 'Enable regex support in window conditions')

option('vsync_drm', type: 'boolean', value: false, description: 'Enable support for using drm for vsync')

option('opengl', type: 'boolean', value: true, description: 'Enable features that require opengl (opengl backend, and opengl vsync methods)')
option('dbus', type: 'boolean', value: true, description: 'Enable support for D-Bus remote control')

option('xrescheck', type: 'boolean', value: false, description: 'Enable X resource leak checker (for debug only)')

option('with_docs', type: 'boolean', value: false, description: 'Build documentation and man pages')

option('modularize', type: 'boolean', value: false, description: 'Build with clang\'s module system')

option('unittest', type: 'boolean', value: false, description: 'Enable unittests in the code')

## picom 8.1

=== debian/changelog ===
picom (8.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop to dh-compat 12.
  * Don't build docs as it causes FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 14 Oct 2020 08:50:46 -0700

picom (8.1-1) unstable; urgency=medium

  * New upstream version 8.1

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Thu, 24 Sep 2020 13:09:29 +0300

=== debian/control ===
Source: picom
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
Build-Depends: asciidoc,
               debhelper-compat (= 12),
               docbook-xml,
               docbook-xsl,
               libconfig-dev,
               libdbus-1-dev,
               libev-dev,
               libevdev-dev,
               libgl1-mesa-dev,
               libpcre2-dev,
               libpcre3-dev,
               libpixman-1-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-glx0-dev,
               libxcb-image0-dev,
               libxcb-present-dev,
               libxcb-randr0-dev,
               libxcb-render-util0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-xfixes0-dev,
               libxcb-xinerama0-dev,
               libxcb1-dev,
               libxext-dev,
               meson,
               pkg-config,
               uthash-dev
Standards-Version: 4.5.0
Homepage: https://github.com/yshui/picom
Vcs-Git: https://salsa.debian.org/nikos/picom.git
Vcs-Browser: https://salsa.debian.org/nikos/picom
Rules-Requires-Root: no

Package: picom
Architecture: any
Depends: python3, ${misc:Depends}, ${shlibs:Depends}
Description: lightweight compositor for X11
 picom is a compositor for X11, based on xcompmgr. In addition to shadows,
 fading and translucency, picom implements window frame opacity control,
 inactive window transparency, and shadows on argb windows.
 .
 picom is a fork of compton as it seems to have become unmaintained.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Set binary version
include /usr/share/dpkg/pkg-info.mk
export COMPTON_VERSION = $(DEB_VERSION_UPSTREAM)

# Stop ninja from using 'ccache' as the compiler
export CC = "/usr/bin/cc"

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dwith_docs=false

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## picom 8.2

=== debian/changelog ===
picom (8.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nikos Tsipinakis ]
  * New upstream version 8.2

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Sat, 14 Nov 2020 18:40:47 +0200

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,4 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dwith_docs=false
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+	dh_auto_configure -- -Dwith_docs=true

## picom 9

=== debian/changelog ===
picom (9-1) unstable; urgency=medium

  * New upstream version 9
  * Replace patch to drop compton with rules flag
  * Refresh patches

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Sun, 06 Feb 2022 19:01:39 +0100

=== debian/control ===
Source: picom
Section: x11
Priority: optional
Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
Build-Depends: debhelper-compat (= 13),
	pkg-config,
	meson,
	asciidoc,
	docbook-xml,
	docbook-xsl,
	libxext-dev,
	libxcb1-dev,
	libxcb-damage0-dev,
	libxcb-xfixes0-dev,
	libxcb-shape0-dev,
	libxcb-render-util0-dev,
	libxcb-render0-dev,
	libxcb-randr0-dev,
	libxcb-composite0-dev,
	libxcb-image0-dev,
	libxcb-present-dev,
	libxcb-xinerama0-dev,
	libxcb-glx0-dev,
	libpixman-1-dev,
	libdbus-1-dev,
	libconfig-dev,
	libgl1-mesa-dev,
	libpcre2-dev,
	libevdev-dev,
	uthash-dev,
	libev-dev,
	libx11-xcb-dev,
	libpcre3-dev,
Standards-Version: 4.5.0
Homepage: https://github.com/yshui/picom
Vcs-Git: https://salsa.debian.org/nikos/picom.git
Vcs-Browser: https://salsa.debian.org/nikos/picom
Rules-Requires-Root: no

Package: picom
Architecture: any
Depends: python3, ${misc:Depends}, ${shlibs:Depends}
Description: lightweight compositor for X11
 picom is a compositor for X11, based on xcompmgr. In addition to shadows,
 fading and translucency, picom implements window frame opacity control,
 inactive window transparency, and shadows on argb windows.
 .
 picom is a fork of compton as it seems to have become unmaintained.

## picom 9.0.0-1regolith

=== debian/changelog ===
picom (9.0.0-1regolith-focal) focal; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Fri, 18 Aug 2023 01:42:29 +0000

picom (9.0.0) focal; urgency=medium

  [ Yuxuan Shui ]
  * meson.build: Bump version number
  * backend: glx: tentatively enable glFinish for NVIDIA
  * driver: allow apply_driver_workaround to set options
  * core: create a xsync fence always
  * driver: enable xrender-sync-fence on NVIDIA driver
  * backend: remove unneeded check for NVIDIA driver

  [ Bernd Busse ]
  * gl_common: set `glViewport()` to maximum supported size
  * gl_common: Wrong viewport in `gl_average_texture_color()`
  * gl_common: Remove superfluous calls to `glViewport`

  [ Yuxuan Shui ]
  * backend: gl_common: no need to store maximum viewport size

  [ Jan Beich ]
  * build: make Meson treat kqueue conditional as one

  [ orbea ]
  * meson: Allow building without compton compat.
  * meson: Respect mandir.

  [ Bernd Busse ]
  * backend: gl_common: Use texture2D with filtering and clamping in blur
  * backend: gl_common: Use linear interpolation on GPU for blur kernels.
  * backend: xrender: use correct REPEAT mode when creating blur textures

  [ zilrich ]
  * update picom.sample.conf

  [ adelin-b ]
  * config: add shadow-hex option

  [ Yuxuan Shui ]
  * config: rename shadow-hex to shadow-color
  * config: remove unused shadow_color variable
  * options: support shadow-color as a commandline option
  * render: add trapezoid helper functions
  * x: add more picture helper functions
  * diagnostics: improve driver printing
  * picom-trans: fixes when setting transparency with window id

  [ Bernd Busse ]
  * c2: correctly initialize new branch for combined rule

  [ Yuxuan Shui ]
  * core: use a long-lived XFixes region
  * Be explicit when checking XCB_NONE
  * Add a .clang-tidy file
  * Refresh the TODO comments
  * core: rename _draw_callback to draw_callback_impl
  * gitignore: ignore language server indices
  * Remove documentation, usage messages and examples about sw-opti

  [ Toni Jarjour ]
  * picom.sample.conf: remove deprecated options

  [ Bernd Busse ]
  * backend: gl_common: support arbitrary number of aux. blur textures/fbos
  * Add support for new blur method `dual_kawase` [WIP]
  * backend: create dual_kawase blur parameters from selected strength [WIP]
  * backend: gl_common: split kernel-blur code from general init/blur code [WIP]
  * backend: gl_common: implement dual-filter kawase blur method

  [ Yuxuan Shui ]
  * Remove no-dock-shadow and no-dnd-shadow

  [ Bernd Busse ]
  * tests: add test case for #465
  * core: update stale images AFTER checking focus

  [ Ignacio Taranto ]
  * Do not use single quotes in the example config

  [ Yuxuan Shui ]
  * Fix several memory leaks
  * backend/backend: add a TODO about image ops ordering
  * options: warn when dual-kawase blur is chosen on unsupported backends
  * options: fix typo

  [ Harish Rajagopal ]
  * Changed "A X ..." to "An X ..."

  [ Bernd Busse ]
  * backend: gl_common: render correct number of elements in blur

  [ jialeens ]
  * update picom.sample.conf
  * Accept write-pid-path option from the config file

  [ Yuxuan Shui ]
  * core: remove pid file on shutdown

  [ yshui ]
  * github: enable CodeQL workflow

  [ Yuxuan Shui ]
  * github: codeql: only install dependencies for cpp analysis

  [ Bernd Busse ]
  * log: Use thread-safe version of `localtime()`
  * config: add wintypes option `blur-background`

  [ Yuxuan Shui ]
  * compile.h, utils.h: rename popcount
  * diagnostics: fix missing newline
  * core: remove a bit more of Xlib dependencies

  [ nia ]
  * Fix the build when memcpy is defined as a macro. (#501)

  [ Bernd Busse ]
  * picom-trans: Add inline `--help` output and update manpage
  * picom-trans: add `--toggle` action to toggle between set opacity and unset.

  [ Yuxuan Shui ]
  * event: delayed handling of window property changes
  * win: delayed handling of configure notify
  * event: set WIN_FLAGS_FACTOR_CHANGED on tracked property change
  * win: cache the result of fade-exclude rules
  * event: don't eagerly add damage for configure notify
  * event, win: delayed handling of shape notify
  * x: remove the last bit of Xlib dependency

  [ Bernd Busse ]
  * Add testcase for #394
  * win: clear SHADOW_STALE in destroy_win_start

  [ Yuxuan Shui ]
  * x: wid_get_text_prop shouldn't return 0 strings

  [ Bernd Busse ]
  * Fix memory errors reported by `scan-build`.

  [ Yuxuan Shui ]
  * win: don't add damage when changing shadow setting while unredirected
  * tests: add testcase for 22162cb7e273
  * tests: fix comments
  * win: clear more stale flags when destroying a window
  * README: fix typo
  * picom: get max hostname length with sysconf()
  * ci: build test for FreeBSD
  * ci: freebsd: add missing dependency

  [ Bernd Busse ]
  * event: Add missing check if window is managed before setting flags

  [ Omar Polo ]
  * use the correct format control for uint64_t
  * wrap subobject initialization with braces to silence a warning

  [ Yuxuan Shui ]
  * config_libconfig: allow overrides if supported
  * legacy backend: render: fix leak of fbconfig
  * core: fix leak of argb_fbconfig
  * Fix non-opengl build

  [ nia ]
  * Cast argument to ctype functions to unsigned char

  [ Yuxuan Shui ]
  * tests: make trigger_root_configure into a 2-step process
  * tests: don't call .check() in set_window_size
  * win: rework how events for unmapped windows are handled
  * testcase: add redirect_when_unmapped_window_has_shadow
  * win: add assertion ensuring flags of unmapped windows aren't processed
  * testcases: add a test case for #525
  * core: always clear stale flags in destroy_backend
  * core: don't call map_win_start in handle_new_windows
  * core: ensure stale flags aren't set in destroy_backend

  [ Samuel Hand ]
  * options: add corner-radius

  [ Yuxuan Shui ]
  * Rounded corners for legacy xrender backend


=== debian/control ===
Source: picom
Section: x11
Priority: optional
Maintainer: Walter Lapchynski <wxl@ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@debian.org>
Build-Depends:
 asciidoc,
 debhelper-compat (= 11),
 docbook-xml,
 docbook-xsl,
 libconfig-dev,
 libdbus-1-dev,
 libevdev-dev,
 libev-dev,
 libgl1-mesa-dev,
 libpixman-1-dev,
 libpcre3-dev,
 libxcb1-dev,
 libx11-xcb-dev,
 libxcb-glx0-dev,
 libxcb-composite0-dev,
 libxcb-damage0-dev,
 libxcb-image0-dev,
 libxcb-present-dev,
 libxcb-randr0-dev,
 libxcb-render0-dev,
 libxcb-render-util0-dev,
 libxcb-shape0-dev,
 libxcb-xfixes0-dev,
 libxcb-xinerama0-dev,
 libxdg-basedir-dev,
 libxext-dev,
 meson,
 pkg-config,
 uthash-dev,
 xsltproc
Standards-Version: 4.1.4
Homepage: https://github.com/yshui/compton

Package: picom
Architecture: any
Depends:
 libevdev2,
 python3,
 ${misc:Depends},
 ${shlibs:Depends}
Description: compositor for X11, based on xcompmgr
 compton is a compositor for X11, based on xcompmgr. In addition to shadows,
 fading and translucency, compton implements window frame opacity control,
 inactive window transparency, and shadows on argb windows.
Conflicts: compton
Replaces: compton

## picom 9.1

=== debian/changelog ===
picom (9.1-1) unstable; urgency=medium

  * New upstream version 9.1

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Sun, 05 Jun 2022 07:48:32 +0000

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dwith_docs=true
+	dh_auto_configure -- -Dwith_docs=true -Dcompton=false

=== debian/watch ===
version=3
opts="uversionmangle=s/_/~/" \
https://github.com/yshui/picom/releases .*/v(\d[\d\.\w]*)\.tar\.gz

## picom 10.2

=== meson_options.txt ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 option('xrescheck', type: 'boolean', value: false, description: 'Enable X resource leak checker (for debug only)')
 
+option('compton', type: 'boolean', value: true, description: 'Install backwards compat with compton')
+
 option('with_docs', type: 'boolean', value: false, description: 'Build documentation and man pages')
 
 option('modularize', type: 'boolean', value: false, description: 'Build with clang\'s module system')

=== debian/changelog ===
picom (10.2-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 16:59:04 +0000

picom (10.2-3build1) noble; urgency=medium

  * No-change rebuild for libev1 t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 01:38:34 +0100

picom (10.2-3) unstable; urgency=medium

  * Fix crash when there are no windows present (Closes: #1059820)

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Tue, 02 Jan 2024 20:01:49 +0100

picom (10.2-2) unstable; urgency=medium

  * Remove deprecated pcre3 (Closes: #1058817)
  * Fix infinite loop with GNOME (Closes: #1040988)

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Tue, 26 Dec 2023 16:52:00 +0100

picom (10.2-1) unstable; urgency=medium

  * Fix watchfile
  * New upstream version 10.2
  * Bump standards to 4.6.2
  * Remove spelling patch
  * Replace obsolete dependency libgl1-mesa-dev
  * Add libegl-dev dependency

 -- Nikos Tsipinakis <nikos@tsipinakis.com>  Sun, 19 Mar 2023 14:41:59 +0100

=== debian/control ===
Source: picom
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
Build-Depends: debhelper-compat (= 13),
	pkg-config,
	meson,
	asciidoc,
	docbook-xml,
	docbook-xsl,
	libxext-dev,
	libxcb1-dev,
	libxcb-damage0-dev,
	libxcb-xfixes0-dev,
	libxcb-shape0-dev,
	libxcb-render-util0-dev,
	libxcb-render0-dev,
	libxcb-randr0-dev,
	libxcb-composite0-dev,
	libxcb-image0-dev,
	libxcb-present-dev,
	libxcb-xinerama0-dev,
	libxcb-glx0-dev,
	libpixman-1-dev,
	libdbus-1-dev,
	libconfig-dev,
	libgl-dev,
	libegl-dev,
	libpcre2-dev,
	libevdev-dev,
	uthash-dev,
	libev-dev,
	libx11-xcb-dev,
Standards-Version: 4.6.2
Homepage: https://github.com/yshui/picom
Vcs-Git: https://salsa.debian.org/nikos/picom.git
Vcs-Browser: https://salsa.debian.org/nikos/picom
Rules-Requires-Root: no

Package: picom
Architecture: any
Depends: python3, ${misc:Depends}, ${shlibs:Depends}
Description: lightweight compositor for X11
 picom is a compositor for X11, based on xcompmgr. In addition to shadows,
 fading and translucency, picom implements window frame opacity control,
 inactive window transparency, and shadows on argb windows.
 .
 picom is a fork of compton as it seems to have become unmaintained.

## picom 11.2

=== debian/changelog ===
picom (11.2-0.1) unstable; urgency=medium

  * NMU with permission from maintainer.
  * New upstream version. Closes: #1049345, #1053228, #1081020.

 -- Vincent Bernat <bernat@debian.org>  Sun, 08 Sep 2024 18:47:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: picom
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
+Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
 Build-Depends: debhelper-compat (= 13),
 	pkg-config,
 	meson,
@@ -22,11 +21,14 @@
 	libxcb-present-dev,
 	libxcb-xinerama0-dev,
 	libxcb-glx0-dev,
+	libxcb-dpms0-dev,
+	libxcb-util-dev,
 	libpixman-1-dev,
 	libdbus-1-dev,
 	libconfig-dev,
 	libgl-dev,
 	libegl-dev,
+	libepoxy-dev,
 	libpcre2-dev,
 	libevdev-dev,
 	uthash-dev,

## picom 11.2.3-1regolith

=== debian/changelog ===
picom (11.2.3-1regolith-trixie) trixie; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Sat, 30 Aug 2025 04:12:33 +0000

picom (11.2.3) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * feat: use newer version of libpcre which is 2 not 3!
  * feat: enable github action to test pull requests
  * feat: enable github action to publish to unstable
  * feat: enable github action to publish to testing
  * feat: enable github action to prepare release
  * fix: create release tag from correct git sha

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 03 Feb 2025 21:33:45 +0000

picom (11.2.2) jammy; urgency=medium

  * fix: update patch to enable config file

 -- Regolith Linux <regolith.linux@gmail.com>  Thu, 25 Jul 2024 16:51:36 -0700

picom (11.2.1) jammy; urgency=medium

  * fix: prevent picom autostart for regolith compat
  * fix: update deb branch conf

 -- Regolith Linux <regolith.linux@gmail.com>  Wed, 24 Jul 2024 00:44:21 -0700

picom (11.2.0) jammy; urgency=medium

  [ Ken Gilmer ]
  * New upstream version 11.2
  * fix: update dependencies for v11
  * fix: add missing dep

 -- Regolith Linux <regolith.linux@gmail.com>  Sun, 20 Mar 2022 16:30:30 -0700

## picom 11.2.4-1regolith

=== debian/changelog ===
picom (11.2.4-1regolith-bookworm) bookworm; urgency=medium

  * Automated Voulage release

 -- Regolith Linux <regolith.linux@gmail.com>  Thu, 22 Jan 2026 21:51:08 +0000

picom (11.2.4) jammy; urgency=medium

  [ Khosrow Moossavi ]
  * feat: use build-only to test pull request

 -- Regolith Linux <regolith.linux@gmail.com>  Mon, 13 Oct 2025 18:27:42 +0000

=== debian/control ===
Source: picom
Section: x11
Priority: optional
Maintainer: Walter Lapchynski <wxl@ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@debian.org>
Build-Depends:
 asciidoc,
 debhelper-compat (= 11),
 docbook-xml,
 docbook-xsl,
 libconfig-dev,
 libdbus-1-dev,
 libepoxy-dev,
 libev-dev,
 libevdev-dev,
 libgl1-mesa-dev,
 libpcre2-dev,
 libpixman-1-dev,
 libx11-xcb-dev,
 libxcb-composite0-dev,
 libxcb-damage0-dev,
 libxcb-dpms0-dev,
 libxcb-glx0-dev,
 libxcb-image0-dev,
 libxcb-present-dev,
 libxcb-randr0-dev,
 libxcb-render-util0-dev,
 libxcb-render0-dev,
 libxcb-shape0-dev,
 libxcb-util-dev,
 libxcb-xfixes0-dev,
 libxcb-xinerama0-dev,
 libxcb1-dev,
 libxdg-basedir-dev,
 libxext-dev,
 meson,
 pkg-config,
 uthash-dev,
 xsltproc
Standards-Version: 4.1.4
Homepage: https://github.com/yshui/compton

Package: picom
Architecture: any
Depends:
 libevdev2,
 python3,
 ${misc:Depends},
 ${shlibs:Depends}
Description: compositor for X11, based on xcompmgr
 compton is a compositor for X11, based on xcompmgr. In addition to shadows,
 fading and translucency, compton implements window frame opacity control,
 inactive window transparency, and shadows on argb windows.
Conflicts: compton
Replaces: compton

=== debian/watch ===
version=3
opts="uversionmangle=s/_/~/" \
https://github.com/yshui/compton/tags .*/v(\d[\d\.\w]+)\.tar\.gz

## picom 12.5

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 option('sanitize', type: 'boolean', value: false, description: 'Build with sanitizers enabled (deprecated)')
-option('config_file', type: 'boolean', value: true, description: 'Enable config file support')
 option('regex', type: 'boolean', value: true, description: 'Enable regex support in window conditions')
 
 option('vsync_drm', type: 'boolean', value: false, description: 'Enable support for using drm for vsync')
@@ -13,6 +12,9 @@
 
 option('with_docs', type: 'boolean', value: false, description: 'Build documentation and man pages')
 
-option('modularize', type: 'boolean', value: false, description: 'Build with clang\'s module system')
+option('unittest', type: 'boolean', value: false, description: 'Enable unittests in the code')
 
-option('unittest', type: 'boolean', value: false, description: 'Enable unittests in the code')
+# Experimental options
+
+option('modularize', type: 'boolean', value: false, description: 'Build with clang\'s module system (experimental)')
+option('llvm_coverage', type: 'boolean', value: false, description: 'Use LLVM source-based code coverage, instead of --coverage. Do not use with b_coverage.')

=== debian/changelog ===
picom (12.5-1) unstable; urgency=medium

  [ Mohammed Bilal ]
  * d/rules: add explicit link against atomic on some 32 bit archs
  * New upstream version 12.5 (Closes: #1085336)
  * d/control:
    - Add myself as uploader.
    - replace pkg-config with pkgconf
    - replace asciidoc with asciidoctor
    - remove libxext-dev,libxcb-dpms0-dev (no longer needed)
    - update min version of libconfig-dev
    - Bump Standards-Version to 4.7.0 (no changes needed)
  * d/salsa-ci.yml: enable salsa-ci
 -- Mohammed Bilal <rmb@debian.org>  Sun, 26 Jan 2025 17:14:42 +0000

=== debian/control ===
Source: picom
Section: x11
Priority: optional
Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
Uploaders: Mohammed Bilal <rmb@debian.org>
Build-Depends: debhelper-compat (= 13),
	pkgconf,
	meson,
	asciidoctor,
	docbook-xml,
	docbook-xsl,
	libxcb1-dev,
	libxcb-damage0-dev,
	libxcb-xfixes0-dev,
	libxcb-shape0-dev,
	libxcb-render-util0-dev,
	libxcb-render0-dev,
	libxcb-randr0-dev,
	libxcb-composite0-dev,
	libxcb-image0-dev,
	libxcb-present-dev,
	libxcb-xinerama0-dev,
	libxcb-glx0-dev,
	libxcb-util-dev,
	libpixman-1-dev,
	libdbus-1-dev,
	libconfig-dev (>= 1.7),
	libgl-dev,
	libegl-dev,
	libepoxy-dev,
	libpcre2-dev,
	libevdev-dev,
	uthash-dev,
	libev-dev,
	libx11-xcb-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/yshui/picom
Vcs-Git: https://salsa.debian.org/nikos/picom.git
Vcs-Browser: https://salsa.debian.org/nikos/picom
Rules-Requires-Root: no

Package: picom
Architecture: any
Depends: python3, ${misc:Depends}, ${shlibs:Depends}
Description: lightweight compositor for X11
 picom is a compositor for X11, based on xcompmgr. In addition to shadows,
 fading and translucency, picom implements window frame opacity control,
 inactive window transparency, and shadows on argb windows.
 .
 picom is a fork of compton as it seems to have become unmaintained.

=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,11 @@
 %:
 	dh $@
 
+ifneq (,$(filter armel m68k powerpc sh4,${DEB_HOST_ARCH}))
+# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=81358
+# these platforms requires explicit link with -libatomic
+export DEB_LDFLAGS_MAINT_APPEND += -latomic
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- -Dwith_docs=true -Dcompton=false

=== debian/watch ===
version=3
opts="uversionmangle=s/_/~/" \
https://github.com/yshui/picom/tags .*/v(\d[\d\.\w]*)\.tar\.gz

## picom 13

=== meson_options.txt ===
--- 
+++ 
@@ -1,12 +1,8 @@
 option('sanitize', type: 'boolean', value: false, description: 'Build with sanitizers enabled (deprecated)')
 option('regex', type: 'boolean', value: true, description: 'Enable regex support in window conditions')
 
-option('vsync_drm', type: 'boolean', value: false, description: 'Enable support for using drm for vsync')
-
 option('opengl', type: 'boolean', value: true, description: 'Enable features that require opengl (opengl backend, and opengl vsync methods)')
 option('dbus', type: 'boolean', value: true, description: 'Enable support for D-Bus remote control')
-
-option('xrescheck', type: 'boolean', value: false, description: 'Enable X resource leak checker (for debug only)')
 
 option('compton', type: 'boolean', value: true, description: 'Install backwards compat with compton')

=== debian/changelog ===
picom (13-1) unstable; urgency=medium

  * New upstream version 13
  * d/ctrl:
     - Bump Std-Ver to 4.7.3
     - remove Rules-Requires-Root:no
  * update d/copyright
  * d/watch: switch to version 5

 -- Mohammed Bilal <rmb@debian.org>  Sun, 01 Mar 2026 09:35:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: picom
 Section: x11
-Priority: optional
 Maintainer: Nikos Tsipinakis <nikos@tsipinakis.com>
 Uploaders: Mohammed Bilal <rmb@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -33,11 +32,10 @@
 	uthash-dev,
 	libev-dev,
 	libx11-xcb-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/yshui/picom
 Vcs-Git: https://salsa.debian.org/nikos/picom.git
 Vcs-Browser: https://salsa.debian.org/nikos/picom
-Rules-Requires-Root: no
 
 Package: picom
 Architecture: any

=== debian/watch ===
Version: 5

Template: Github
Owner: yshui
Project: picom
Uversionmangle: s/_/~/
